org.keycloak.connections.jpa

## Class JpaKeycloakTransaction

- java.lang.Object
- - org.keycloak.connections.jpa.JpaKeycloakTransaction

- All Implemented Interfaces:
    KeycloakTransaction

      public class JpaKeycloakTransaction
      extends Object
      implements KeycloakTransaction

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.persistence.EntityManager` | `em`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaKeycloakTransaction(javax.persistence.EntityManager em)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin()`
    `void` | `commit()`
    `boolean` | `getRollbackOnly()`
    `boolean` | `isActive()`
    `void` | `rollback()`
    `void` | `setRollbackOnly()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### em

          protected javax.persistence.EntityManager em

  - ### Constructor Detail

    - #### JpaKeycloakTransaction

          public JpaKeycloakTransaction(javax.persistence.EntityManager em)

  - ### Method Detail

    - #### begin

          public void begin()

      Specified by:
        `begin` in interface `KeycloakTransaction`

    - #### commit

          public void commit()

      Specified by:
        `commit` in interface `KeycloakTransaction`

    - #### rollback

          public void rollback()

      Specified by:
        `rollback` in interface `KeycloakTransaction`

    - #### setRollbackOnly

          public void setRollbackOnly()

      Specified by:
        `setRollbackOnly` in interface `KeycloakTransaction`

    - #### getRollbackOnly

          public boolean getRollbackOnly()

      Specified by:
        `getRollbackOnly` in interface `KeycloakTransaction`

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `KeycloakTransaction`

Copyright © 2021 JBoss by Red Hat. All rights reserved.